﻿$ErrorActionPreference = 'Stop'

# create temp directory
do {
    $tempPath = Join-Path -Path $env:TEMP -ChildPath ([System.Guid]::NewGuid().ToString())
} while (Test-Path $tempPath)
New-Item -ItemType Directory -Path $tempPath | Out-Null

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $tempPath
  fileType      = 'MSI'
  url           = 'https://github.com//aluxnimm/outlookcaldavsynchronizer/releases/download/v4.0.0/OutlookCalDavSynchronizer-4.0.0.zip'

  checksum      = '4e6731a52157c4367c459919d8122d5b709a92f2352c192df79481153770f46e'
  checksumType  = 'SHA256'

  silentArgs    = "/qn /norestart"
  validExitCodes= @(0, 3010, 1641)
}

$arguments = Get-PackageParameters -Parameter $env:ChocolateyPackageParameters
if ($arguments.ContainsKey("allusers")) {
    $packageArgs.silentArgs += " ALLUSERS=1"
}

# Unzip the file to the tempPath and then install the MSI
Install-ChocolateyZipPackage @packageArgs

$packageArgs.file = Join-Path -Path $packageArgs.unzipLocation -ChildPath 'CalDavSynchronizer.Setup.msi'
Install-ChocolateyInstallPackage @packageArgs
